| Face Engine SDK 5.33.0 A face detection, recognition and tracking engine.

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | Static Protected Attributes | List of all members
fsdk::ISettingsProvider::Key Struct Reference

Configuration parameter key. More...

`#include <ISettingsProvider.h>`

## Public Member Functions
| Key () noexcept
| Initialize an empty key.
| Key (const char *section, const char *parameter) noexcept
| Initialize a key.
const char * | getSection () const noexcept
| Get section name.
const char * | getParameter () const noexcept
| Get parameter name.
void | setSection (const char *section) noexcept
| Set section name.
void | setParameter (const char *parameter) noexcept
| Set parameter name.
bool | operator< (const ISettingsProvider::Key &other) const noexcept
| Operator `Less`.

## Protected Attributes
char | m_section [m_bufferLength]
| Config section name.
char | m_parameter [m_bufferLength]
| Config parameter name.

## Static Protected Attributes
static const unsigned int | m_bufferLength = 128

## Detailed Description

Configuration parameter key.

## Constructor & Destructor Documentation

## ◆ Key()

fsdk::ISettingsProvider::Key::Key | ( | const char * | section,
|  | const char * | parameter )
| noexcept

Initialize a key.

Parameters

  section | section name.
  parameter | parameter name.

## Member Function Documentation

## ◆ getParameter()

const char * fsdk::ISettingsProvider::Key::getParameter | ( |  | ) | const
| noexcept

Get parameter name.

Returns
  parameter name.

## ◆ getSection()

const char * fsdk::ISettingsProvider::Key::getSection | ( |  | ) | const
| noexcept

Get section name.

Returns
  section name.

## ◆ operator<()

bool fsdk::ISettingsProvider::Key::operator< | ( | const ISettingsProvider::Key & | other | ) | const
| noexcept

Operator `Less`.

Parameters

  other | other key.

Returns
  comparison result.

## ◆ setParameter()

void fsdk::ISettingsProvider::Key::setParameter | ( | const char * | parameter | ) |
| noexcept

Set parameter name.

Parameters

  parameter | parameter name.

## ◆ setSection()

void fsdk::ISettingsProvider::Key::setSection | ( | const char * | section | ) |
| noexcept

Set section name.

Parameters

  section | section name.

The documentation for this struct was generated from the following file:

- fsdk.framework/Headers/ISettingsProvider.h